##### basic_waitable_timer::basic_waitable_timer (7 of 8 overloads)

Move-construct a `basic_waitable_timer` from another.

    basic_waitable_timer(
        basic_waitable_timer && other);

This constructor moves a timer from one object to another.

###### Parameters

other

  The other `basic_waitable_timer` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_waitable_timer(const executor_type&)` constructor.